/** @type {import('tailwindcss').Config} */
module.exports = {
  darkMode: ['class'],
  content: [
    './pages/**/*.{ts,tsx}',
    './components/**/*.{ts,tsx}',
    './app/**/*.{ts,tsx}',
    './src/**/*.{ts,tsx}',
  ],
  prefix: '',
  theme: {
    container: {
      center: true,
      padding: '2rem',
      screens: {
        '2xl': '1400px',
      },
    },
    extend: {
      colors: {
        border: 'hsl(var(--border))',
        input: 'hsl(var(--input))',
        ring: 'hsl(var(--ring))',
        background: 'hsl(var(--background))',
        foreground: 'hsl(var(--foreground))',
        primary: {
          DEFAULT: 'hsl(var(--primary))',
          foreground: 'hsl(var(--primary-foreground))',
        },
        secondary: {
          DEFAULT: 'hsl(var(--secondary))',
          foreground: 'hsl(var(--secondary-foreground))',
        },
        destructive: {
          DEFAULT: 'hsl(var(--destructive))',
          foreground: 'hsl(var(--destructive-foreground))',
        },
        muted: {
          DEFAULT: 'hsl(var(--muted))',
          foreground: 'hsl(var(--muted-foreground))',
        },
        accent: {
          DEFAULT: 'hsl(var(--accent))',
          foreground: 'hsl(var(--accent-foreground))',
        },
        popover: {
          DEFAULT: 'hsl(var(--popover))',
          foreground: 'hsl(var(--popover-foreground))',
        },
        card: {
          DEFAULT: 'hsl(var(--card))',
          foreground: 'hsl(var(--card-foreground))',
        },

        disable: {
          DEFAULT: 'var(--disable)',
          foreground: 'var(--disable-foreground)',
        },
        brand1: {
          DEFAULT: 'var(--brand1)',
        },
        brand2: {
          DEFAULT: 'var(--brand2)',
        },
        brand3: {
          DEFAULT: 'var(--brand3)',
        },
        brand4: {
          DEFAULT: 'var(--brand4)',
        },
        brand5: {
          DEFAULT: 'var(--brand5)',
        },
        gray1: {
          DEFAULT: 'var(--gray1)',
        },
        gray2: {
          DEFAULT: 'var(--gray2)',
        },
        gray3: {
          DEFAULT: 'var(--gray3)',
        },
        gray4: {
          DEFAULT: 'var(--gray4)',
        },
        gray5: {
          DEFAULT: 'var(--gray5)',
        },
        gray6: {
          DEFAULT: 'var(--gray6)',
        },
        gray7: {
          DEFAULT: 'var(--gray7)',
        },
        gray8: {
          DEFAULT: 'var(--gray8)',
        },
        gray9: {
          DEFAULT: 'var(--gray9)',
        },
        gray10: {
          DEFAULT: 'var(--gray10)',
        },
        gray11: {
          DEFAULT: 'var(--gray11)',
        },
        gray12: {
          DEFAULT: 'var(--gray12)',
        },
        gray13: {
          DEFAULT: 'var(--gray13)',
        },
        gray14: {
          DEFAULT: 'var(--gray14)',
        },
        error1: {
          DEFAULT: 'var(--error1)',
        },
        error2: {
          DEFAULT: 'var(--error2)',
        },
        error3: {
          DEFAULT: 'var(--error3)',
        },
        error4: {
          DEFAULT: 'var(--error4)',
        },
        error5: {
          DEFAULT: 'var(--error5)',
        },
        error6: {
          DEFAULT: 'var(--error6)',
        },
        success1: {
          DEFAULT: 'var(--success1)',
        },
        success2: {
          DEFAULT: 'var(--success2)',
        },
        success3: {
          DEFAULT: 'var(--success3)',
        },
        success4: {
          DEFAULT: 'var(--success4)',
        },
        success5: {
          DEFAULT: 'var(--success5)',
        },
        success6: {
          DEFAULT: 'var(--success6)',
        },
        warning1: {
          DEFAULT: 'var(--warning1)',
        },
        warning2: {
          DEFAULT: 'var(--warning2)',
        },
        warning3: {
          DEFAULT: 'var(--warning3)',
        },
        warning4: {
          DEFAULT: 'var(--warning4)',
        },
        warning5: {
          DEFAULT: 'var(--warning5)',
        },
        warning6: {
          DEFAULT: 'var(--warning6)',
        },
        info1: {
          DEFAULT: 'var(--info1)',
        },
        info2: {
          DEFAULT: 'var(--info2)',
        },
        info3: {
          DEFAULT: 'var(--info3)',
        },
        info4: {
          DEFAULT: 'var(--info4)',
        },
        info5: {
          DEFAULT: 'var(--info5)',
        },
        info6: {
          DEFAULT: 'var(--info6)',
        },
      },
      borderRadius: {
        lg: 'var(--radius)',
        md: 'calc(var(--radius) - 2px)',
        sm: 'calc(var(--radius) - 4px)',
      },
      keyframes: {
        'accordion-down': {
          from: { height: '0' },
          to: { height: 'var(--radix-accordion-content-height)' },
        },
        'accordion-up': {
          from: { height: 'var(--radix-accordion-content-height)' },
          to: { height: '0' },
        },
      },
      animation: {
        'accordion-down': 'accordion-down 0.2s ease-out',
        'accordion-up': 'accordion-up 0.2s ease-out',
      },
    },
  },
  plugins: [require('tailwindcss-animate')],
};
